Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections
Interface PriorityQueue

All Known Implementing Classes:
  BinaryHeap, SynchronizedPriorityQueue

Deprecated. Replaced by the Buffer interface and implementations in buffer subpackage. Due to be removed in v4.0.

    public interface PriorityQueue

Defines a collection for priority queues, which can insert, peek and pop.

This interface is now replaced by the `Buffer` interface.

Since:
  Commons Collections 1.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Peter Donald

Method Summary
`void` | `clear()` Deprecated. Clear all elements from queue.
`void` | `insert(java.lang.Object element)` Deprecated. Insert an element into queue.
`boolean` | `isEmpty()` Deprecated. Test if queue is empty.
`java.lang.Object` | `peek()` Deprecated. Return element on top of heap but don't remove it.
`java.lang.Object` | `pop()` Deprecated. Return element on top of heap and remove it.

Method Detail

### clear

    void clear()

  Deprecated.
  Clear all elements from queue.

### isEmpty

    boolean isEmpty()

  Deprecated.
  Test if queue is empty.

  Returns:
    true if queue is empty else false.

### insert

    void insert(java.lang.Object element)

  Deprecated.
  Insert an element into queue.

  Parameters:
    `element` - the element to be inserted
  Throws:
    `java.lang.ClassCastException` - if the specified `element`'s type prevents it from being compared to other items in the queue to determine its relative priority.

### peek

    java.lang.Object peek()

  Deprecated.
  Return element on top of heap but don't remove it.

  Returns:
    the element at top of heap
  Throws:
    `java.util.NoSuchElementException` - if `isEmpty() == true`

### pop

    java.lang.Object pop()

  Deprecated.
  Return element on top of heap and remove it.

  Returns:
    the element at top of heap
  Throws:
    `java.util.NoSuchElementException` - if `isEmpty() == true`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.